﻿@using SSCMvc.Webutil;
@using SSCMvc.Models;
@model IEnumerable<SSCMvc.Models.Tb_Installment>


<div class="well">
            <table class="table">
                <thead>
                    <tr>
                        <th>
                            Roll No
                        </th>
                        <th>
                            Name
                        </th>
                        <th style="text-align:right">
                           Amt.
                        </th>
                      
                        <th>
                            Course
                        </th>
                        <th>Next Due Date</th>
                      
                       
                    </tr>
                </thead>
                <tbody>
                @{double bal = 0;
                  double pending = 0;
                  double totalamount = 0;
                  }
                    @foreach (var item in Model)
                    {
                        pending = Convert.ToDouble(item.Amount);
                        if (item.BalanceDueAmount != null)
                        {
                            bal = Convert.ToDouble(item.BalanceDueAmount);
                            pending = bal;
                        }
                        totalamount += pending;
                        <tr>
                            <td>
                                @Html.DisplayFor(modelItem => item.Tb_CourseHist.MaAdmission.RollNo)
                            </td>
                            <td>
                                @Html.DisplayFor(modelItem => item.Tb_CourseHist.MaAdmission.FirstName)
                            </td>
                            <td style="text-align:right">
                                @pending
                            </td>
                          
                            <td>

                                @Html.DisplayFor(modelItem => item.MaCourse.CourseName)
                            </td>
                         <td>
                         @{
                        DateTime? dt = item.DueDate;
                           
                           if (item.BalanceDueAmount > 0)
                           {
                               if (dt < DateTime.Now.AddMinutes(StaticLogic.TimeDifference))
                               {
                                   dt = DateTime.Now.AddMinutes(StaticLogic.TimeDifference).AddDays(1);
                               }
                           }
                           string nxtdate = string.Format("{0:dd MMM,yyyy}", dt);
                             }
                         
                         @nxtdate</td>
                          
                        </tr>
                        
                   
                    }
                    <tr>
                    <th>
                           
                        </th>
                        <th>
                           Total
                        </th>
                        <th style="text-align:right">
                           @totalamount
                        </th>
                        <th style="text-align:center">
                           
                        </th>
                        <th>
                           
                        </th>
                        <th>
                           
                        </th>
                        <th>
                        </th>
                    </tr>
                </tbody>
            </table>
        </div>